=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-10-10 19:42:12 +0000
+++ drizzled/global.h	2008-10-10 23:04:21 +0000
@@ -134,13 +134,6 @@
 #include <sys/socket.h>
 #endif
 
-/* file create flags */
-
-#ifndef O_NOFOLLOW
-#define O_NOFOLLOW      0
-#endif
-
-
 
 #ifndef FN_LIBCHAR
 #define FN_LIBCHAR  '/'

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-10-10 01:40:50 +0000
+++ drizzled/log_event.cc	2008-10-10 23:04:21 +0000
@@ -4029,7 +4029,7 @@
   thd->set_proc_info(proc_info);
   my_delete(fname_buf, MYF(0)); // old copy may exist already
   if ((fd= my_create(fname_buf, CREATE_MODE,
-		     O_WRONLY | O_EXCL | O_NOFOLLOW,
+		     O_WRONLY | O_EXCL,
 		     MYF(MY_WME))) < 0 ||
       init_io_cache(&file, fd, IO_SIZE, WRITE_CACHE, (my_off_t)0, 0,
 		    MYF(MY_WME|MY_NABP)))
@@ -4057,7 +4057,7 @@
   // fname_buf now already has .data, not .info, because we did our trick
   my_delete(fname_buf, MYF(0)); // old copy may exist already
   if ((fd= my_create(fname_buf, CREATE_MODE,
-                     O_WRONLY | O_EXCL | O_NOFOLLOW,
+                     O_WRONLY | O_EXCL,
                      MYF(MY_WME))) < 0)
   {
     rli->report(ERROR_LEVEL, my_errno,
@@ -4178,7 +4178,7 @@
   {
     my_delete(fname, MYF(0)); // old copy may exist already
     if ((fd= my_create(fname, CREATE_MODE,
-		       O_WRONLY | O_EXCL | O_NOFOLLOW,
+		       O_WRONLY | O_EXCL,
 		       MYF(MY_WME))) < 0)
     {
       rli->report(ERROR_LEVEL, my_errno,
@@ -4187,7 +4187,7 @@
       goto err;
     }
   }
-  else if ((fd = my_open(fname, O_WRONLY | O_APPEND | O_NOFOLLOW,
+  else if ((fd = my_open(fname, O_WRONLY | O_APPEND,
                          MYF(MY_WME))) < 0)
   {
     rli->report(ERROR_LEVEL, my_errno,
@@ -4354,7 +4354,7 @@
   Load_log_event *lev= 0;
 
   ext= slave_load_file_stem(fname, file_id, server_id, ".info");
-  if ((fd = my_open(fname, O_RDONLY | O_NOFOLLOW,
+  if ((fd = my_open(fname, O_RDONLY,
                     MYF(MY_WME))) < 0 ||
       init_io_cache(&file, fd, IO_SIZE, READ_CACHE, (my_off_t)0, 0,
 		    MYF(MY_WME|MY_NABP)))

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-10-10 01:32:55 +0000
+++ drizzled/table.cc	2008-10-10 23:04:21 +0000
@@ -1911,7 +1911,7 @@
   uint32_t i;
 
   if (create_info->options & HA_LEX_CREATE_TMP_TABLE)
-    create_flags|= O_EXCL | O_NOFOLLOW;
+    create_flags|= O_EXCL;
 
   /* Fix this when we have new .frm files;  Current limit is 4G rows (QQ) */
   if (create_info->max_rows > UINT32_MAX)

=== modified file 'mysys/mf_tempfile.c'
--- mysys/mf_tempfile.c	2008-10-10 19:42:12 +0000
+++ mysys/mf_tempfile.c	2008-10-10 23:04:21 +0000
@@ -64,7 +64,7 @@
   {
     strmake(to,res,FN_REFLEN-1);
     (*free)(res);
-    file=my_create(to, 0, mode | O_EXCL | O_NOFOLLOW, MyFlags);
+    file=my_create(to, 0, mode | O_EXCL, MyFlags);
   }
 #elif defined(HAVE_MKSTEMP)
   {
@@ -121,7 +121,7 @@
       strmake(to,res,FN_REFLEN-1);
       (*free)(res);
       file=my_create(to,0,
-		     (int) (O_RDWR | O_TRUNC | O_EXCL | O_NOFOLLOW),
+		     (int) (O_RDWR | O_TRUNC | O_EXCL),
 		     MYF(MY_WME));
 
     }

=== modified file 'storage/myisam/mi_create.c'
--- storage/myisam/mi_create.c	2008-10-10 00:07:05 +0000
+++ storage/myisam/mi_create.c	2008-10-10 23:04:21 +0000
@@ -170,7 +170,7 @@
   if (flags & HA_CREATE_TMP_TABLE)
   {
     options|= HA_OPTION_TMP_TABLE;
-    create_mode|= O_EXCL | O_NOFOLLOW;
+    create_mode|= O_EXCL;
   }
   if (flags & HA_CREATE_CHECKSUM || (options & HA_OPTION_CHECKSUM))
   {

